<?php
/*********************************************************************************
** The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
*
 ********************************************************************************/
require_once('include/database/PearDatabase.php');
require_once('Smarty_setup.php');
require_once('include/utils/utils.php');
require_once('modules/Planetauthorize/Planetauthorize.php');
global $app_strings,$mod_strings,$currentModule,$theme;
$focus = new Planetauthorize();
$smarty = new vtigerCRM_Smarty();
$theme_path="themes/".$theme."/";
$image_path=$theme_path."images/";
$category = getParentTab();
$smarty->assign("MOD", $mod_strings);
$smarty->assign("APP", $app_strings);
$smarty->assign("MODULE",$currentModule);
$smarty->assign('IMAGE_PATH', "themes/$theme/images/");
$smarty->assign("THEME", $theme);
$smarty->assign("CATEGORY",$category);
$account = $focus->checkMaccount();
$smarty->assign("currency",$account['currency']);
$plans =  $focus->listPlan();
$plan_option = array();
foreach($plans as $key) {
$temp = array('value'=>$key['sku'],'text'=>$key['plan']);
array_push($plan_option,$temp);
}
$smarty->assign("plans",$plan_option);
$smarty->display(vtlib_getModuleTemplate($currentModule, 'CreditSaleView.tpl'));
?>
